Page MenuHomePhabricator

Add image width and height to the database
Closed, DeclinedPublic

Description

Author: physik

Description:
In order to display the svg images prodoced by mathoid in an accurate size it is required to include the size information to the image style attribute.
Those information can be obtained from the svg image with some regexp hacks but that's not optimal. We would prefere to get this information directly from mathoid. This is not hard to implment. But it would require additional database fields to store those size information.


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=20202

Details

Reference
bz68295

Event Timeline

bzimport raised the priority of this task from to Needs Triage.
bzimport set Reference to bz68295.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Jul 20 2014, 1:36 PM

Change 144939 had a related patch set uploaded by Physikerwelt:
Add width and height to SVG image

https://gerrit.wikimedia.org/r/144939

Change 144939 merged by Frédéric Wang:
Add width and height to SVG image

https://gerrit.wikimedia.org/r/144939

Jdforrester-WMF moved this task from Incoming to Doing on the Math board.Sep 2 2015, 5:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 2 2015, 5:38 PM

@Jdforrester-WMF are you really working on this... I was assuming that is an old bug.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 3 2015, 5:50 PM
Physikerwelt moved this task from Doing to Incoming on the Math board.Feb 2 2016, 4:51 PM
Physikerwelt closed this task as Declined.Aug 9 2016, 12:45 PM